package com.sky.mapper;

import com.sky.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UserMapper {

    /**
     * 根据openid查询是否有用户
     * @param openid
     * @return
     */
    @Select("select * from user where openid = #{openid}")
    User getById(String openid);


    /**
     * 主动插入数据
     * @param user
     */
    void insert(User user);
}
